Bug 28669 - Installer aborted after partitioning giving KeyError: e2fsprogs
Summary: Installer aborted after partitioning giving KeyError: e2fsprogs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-21 19:46 UTC by Andrew Williams
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 16:51:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump (994 bytes, text/plain)
2001-02-21 19:47 UTC, Andrew Williams
no flags Details

Description Andrew Williams 2001-02-21 19:46:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


After partitioning process, begins next task (packages) and after a minute 
or two finished with window saying internal error, can not continue, 
giving details to save to floppy, then reset

Reproducible: Always
Steps to Reproduce:
1.Run installer (anaconda)
2.Fill in information, different ways make no difference
3.
	

Actual Results:  It aborts as described above

Expected Results:  It should have continued

Saved to Floppy Disk the following details:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: e2fsprogs

Local variables in innermost frame:
self: <comps.HeaderList instance at 8238470>
item: e2fsprogs

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>

Comment 1 Andrew Williams 2001-02-21 19:47:04 UTC
Created attachment 10700 [details]
anacdump

Comment 2 Michael Fulbright 2001-02-21 22:57:02 UTC
It appears the e2progs RPM is missing from your hard drive. Make sure you copy
all the required files over.

Comment 3 Andrew Williams 2001-02-22 06:07:19 UTC
All files are present on hard drive from Red Hat mirror site at ftp.funet.fi 
including e2fsprogs-1.18-15.i386 and e2fsprogs-devel-1.18-15.i386

Comment 4 Michael Fulbright 2001-02-22 16:51:31 UTC
Try this command on the e2fsprogs-* rpms

rpm -K --nogpg <rpm filename>

and see if they are corrupt or not.

Comment 5 Michael Fulbright 2001-03-14 17:57:30 UTC
Closing due to inactivity. Please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.